state_MEL_decoder Class Reference

`#include <ht_block_decoding.hpp>`

## Public Member Functions

| state_MEL_decoder (state_MEL_unPacker &unpacker)
uint8_t | decodeMELSym ()

## Private Attributes

uint8_t | MEL_k
uint8_t | MEL_run
uint8_t | MEL_one
const uint8_t | MEL_E [13]
state_MEL_unPacker * | MEL_unPacker

## Constructor & Destructor Documentation

## state_MEL_decoder()

state_MEL_decoder::state_MEL_decoder | ( | state_MEL_unPacker & | unpacker | ) |

inline explicit

## Member Function Documentation

## decodeMELSym()

uint8_t state_MEL_decoder::decodeMELSym | ( |  | ) |

References state_MEL_unPacker::impoertMELbit(), MEL_E, MEL_k, MEL_one, MEL_run, and MEL_unPacker.

Referenced by ht_cleanup_decode().

## Member Data Documentation

## MEL_E

const uint8_t state_MEL_decoder::MEL_E[13]

private

Referenced by decodeMELSym().

## MEL_k

uint8_t state_MEL_decoder::MEL_k

private

Referenced by decodeMELSym().

## MEL_one

uint8_t state_MEL_decoder::MEL_one

private

Referenced by decodeMELSym().

## MEL_run

uint8_t state_MEL_decoder::MEL_run

private

Referenced by decodeMELSym().

## MEL_unPacker

state_MEL_unPacker* state_MEL_decoder::MEL_unPacker

private

Referenced by decodeMELSym().

The documentation for this class was generated from the following files:

- ht_block_decoding.hpp
- ht_block_decoding.cpp